package com.iamberry.wechat.service.customer;

import com.iamberry.wechat.core.entity.customer.CustomerInfo;
import com.iamberry.wechat.face.customer.CustomerService;
import com.iamberry.wechat.service.mapper.CustomerInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author root
 */
@Service
public class CustomerServiceImpl implements CustomerService {

    @Autowired
    private CustomerInfoMapper customerInfoMapper;


    @Override
    public int del(Integer customerId) {
        return customerInfoMapper.del(customerId);
    }

    @Override
    public int add(CustomerInfo record) {
        return customerInfoMapper.add(record);
    }

    @Override
    public CustomerInfo get(Integer customerId) {
        return customerInfoMapper.get(customerId);
    }

    @Override
    public int edit(CustomerInfo record) {
        return customerInfoMapper.edit(record);
    }

    @Override
    public int count(Integer state) {
        return customerInfoMapper.count(state);
    }
}
